-rw-r--r-- | delta.jscad | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/delta.jscad b/delta.jscad index 0e8fd62..326d172 100644 --- a/delta.jscad +++ b/delta.jscad @@ -756,101 +756,101 @@ function heatbed() { function glass() { var rv = CSG.cylinder({ start: [0,0,0], end: [0,0,CONFIG.glass.h], radius: CONFIG.glass.r, resolution: 72 }); rv.properties.c_bed = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); rv.properties.P = new CSG.Connector([0,0,-CONFIG.foot.h-CONFIG.heatbed.h],[0,0,1],[1,0,0]); rv.properties.vitamin = true; return rv.setColor(CONFIG.color.glass); } function platform() { var b = heatbed(); var g = glass(); g = g.connectTo(g.properties.c_bed,b.properties.c_glass,false,0); return b.union(g); } function bedholder(params) { var h0 = CONFIG.foot.h+CONFIG.extrusion.w*2+CONFIG.base.gap; var bolt_s = CONFIG.bedholder.bolt.l-CONFIG.extrusion.slotdepth+PRINT.play_tolerance*2; var nuth=h0+CONFIG.bedholder.h*3/4; var nutth = nuth+CONFIG.bedholder.nut.h/2+PRINT.slide_tolerance/2; var rv = CSG.roundedCube({ corner1: [-CONFIG.extrusion.w/2,-CD.base.inner_inscription_r,h0], corner2: [ CONFIG.extrusion.w/2,-CONFIG.heatbed.sr-3/2-CONFIG.bedholder.margin,h0+CONFIG.bedholder.h], roundradius: CONFIG.bedholder.margin }); rv = rv.subtract([ CSG.cylinder({ // base screw start: [0,-CD.base.mid_inscription_r,h0-1], end: [0,-CD.base.mid_inscription_r,h0+CONFIG.bedholder.h+1], radius: CONFIG.bedholder.bolt.d/2+PRINT.screw_tolerance/2 }), CSG.cylinder({ // bed screw start: [0,-CONFIG.heatbed.sr,h0-1], end: [0,-CONFIG.heatbed.sr,h0+CONFIG.bedholder.h+1], radius: CONFIG.bedholder.bolt.d/2+PRINT.screw_tolerance/2 }), CSG.cube({ // nut pocket center: [0,-CONFIG.heatbed.sr,nuth], radius: [CONFIG.extrusion.w/2+1,(CONFIG.bedholder.nut.w+PRINT.slide_tolerance)/2,(CONFIG.bedholder.nut.h+PRINT.slide_tolerance)/2] }), CSG.cylinder({ // sink base screw start: [0,-CD.base.mid_inscription_r,h0+bolt_s], end: [0,-CD.base.mid_inscription_r,h0+CONFIG.bedholder.h+1], radius: CONFIG.bedholder.bolt.head.d/2+PRINT.play_tolerance }) ]); - rv = rv.union(CSG.cylinder({ + rv = rv.union(CSG.cylinder({ // patch up for bridging start: [0,-CONFIG.heatbed.sr,nutth], end: [0,-CONFIG.heatbed.sr,nutth+PRINT.layer_height], radius: (CONFIG.bedholder.nut.w+PRINT.slide_tolerance)/2+PRINT.extrusion_width })); - rv = rv.intersect(CSG.cylinder({ + rv = rv.intersect(CSG.cylinder({ // cut off excess start: [0,0,h0-1], end: [0,0,h0+CONFIG.bedholder.h+1], radius: CONFIG.heatbed.r, resolution: 270 })); rv.properties.P = new CSG.Connector([0,-CD.base.mid_inscription_r,h0],[0,0,1],[1,0,0]); return rv.setColor(CONFIG.color.parts); } var PARTS = { wip: function(params) { return duetholder(params); return PARTS.alltogethernow(params); return base_extrusions(); return foot(); return union(base_extrusions(),column_extrusions(),duet().translate([0,-20,0])); }, alltogethernow: function(params) { var cols = columns(); var sides = base_sides(); var feet = THREEWINDS.map(function(w,i) { var rv = foot(); rv = rv.connectTo(rv.properties.c_column,cols[i].properties.c_bottom,false,0); var s = shoe(); s = s.connectTo(s.properties.c_foot,rv.properties.c_shoe,false,0); return rv.union(s); }); var dh = duetholder(); var dhsw = dh.connectTo(dh.properties.c_h, new CSG.Connector([-CONFIG.duet.hole_spacing.x/2,-CD.base.mid_inscription_r,CONFIG.foot.h],[0,0,1],[1,0,0]), false,0); var d = duet(); d = d.connectTo(d.properties.holes.c_sw,dhsw.properties.duet.c_sw,false,0); var dhse = dh.connectTo(dh.properties.duet.c_se,d.properties.holes.c_se,false,0); var dhne = dh.connectTo(dh.properties.duet.c_ne,d.properties.holes.c_ne,false,0); var dhnw = dh.connectTo(dh.properties.duet.c_nw,d.properties.holes.c_nw,false,0); var rv = union(cols).union(sides.map(union)).union(feet).union([ d,dhsw,dhse,dhne,dhnw ]); var p = P(platform()); rv = rv.union(p); rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); return rv; }, duetholder: function(params) { return duetholder(); }, foot: foot, shoe: shoe, bedholder: bedholder |